package sun.management.snmp.jvmmib;

import java.util.Hashtable;
import java.io.Serializable;
import com.sun.jmx.snmp.Enumerated;

public class EnumJvmMemManagerState extends Enumerated implements Serializable
{
    static final long serialVersionUID = 8249515157795166343L;
    protected static Hashtable<Integer, String> intTable;
    protected static Hashtable<String, Integer> stringTable;
    
    public EnumJvmMemManagerState(int n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemManagerState(Integer n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemManagerState() throws IllegalArgumentException {
    }
    
    public EnumJvmMemManagerState(String s) throws IllegalArgumentException {
        super(s);
    }
    
    protected Hashtable<Integer, String> getIntTable() {
        return EnumJvmMemManagerState.intTable;
    }
    
    protected Hashtable<String, Integer> getStringTable() {
        return EnumJvmMemManagerState.stringTable;
    }
    
    static {
        EnumJvmMemManagerState.intTable = new Hashtable();
        EnumJvmMemManagerState.stringTable = new Hashtable();
        EnumJvmMemManagerState.intTable.put(new Integer(2), "valid");
        EnumJvmMemManagerState.intTable.put(new Integer(1), "invalid");
        EnumJvmMemManagerState.stringTable.put("valid", new Integer(2));
        EnumJvmMemManagerState.stringTable.put("invalid", new Integer(1));
    }
}
